aboutsummaryrefslogtreecommitdiffstats
path: root/contrib/pack
diff options
context:
space:
mode:
authorLibravatarLarge Libravatar memdmp <memdmpestrogenzone>2025-02-24 03:33:43 +0100
committerLibravatarLarge Libravatar memdmp <memdmpestrogenzone>2025-02-24 03:33:43 +0100
commitc903407fc20d97fbfd6a25a2a85c05d91fbefb07 (patch)
treefd77958e7b75c5b13aac2a290bbc9d74262456a7 /contrib/pack
parent67bfa4772b1139ac6b00ce697e738b6dfe00ab1e (diff)
downloadhttptool-c903407fc20d97fbfd6a25a2a85c05d91fbefb07.tar.gz
httptool-c903407fc20d97fbfd6a25a2a85c05d91fbefb07.tar.bz2
httptool-c903407fc20d97fbfd6a25a2a85c05d91fbefb07.tar.lz
httptool-c903407fc20d97fbfd6a25a2a85c05d91fbefb07.zip

feat: makefile

Diffstat (limited to 'contrib/pack')
-rwxr-xr-xcontrib/pack4
1 files changed, 4 insertions, 0 deletions
diff --git a/contrib/pack b/contrib/pack
new file mode 100755
index 0000000..f57473a
--- /dev/null
+++ b/contrib/pack
@@ -0,0 +1,4 @@
+#!/usr/bin/env zsh
+# Packs the built extension from the `build` directory, assumes everything's already built
+set -eax
+pnpm web-ext build -s build -a artifacts -o -n "$(jq -r '.name + "-" + .version + "-unsigned.zip"' manifest.json)"